# KDChartTextLabelCache.cpp File Reference

`#include <cmath>`
`#include <QtDebug>`
`#include <QImage>`
`#include <QPixmap>`
`#include <QPainter>`
`#include <QApplication>`
`#include "KDChartTextLabelCache.h"`

Include dependency graph for KDChartTextLabelCache.cpp:

Go to the source code of this file.

## Defines

#define | DUMP_CACHE_STATS
#define | INC_HIT_COUNT { ++HitCount; }
#define | INC_MISS_COUNT { ++MissCount; }

## Variables

int | HitCount = 0
int | MissCount = 0

## Define Documentation

#define DUMP_CACHE_STATS

Value:

    if ( HitCount != 0 && MissCount != 0 ) { \
            int total = HitCount + MissCount; \
            double hitQuote = ( 1.0 * HitCount ) / total; \
            qDebug() << "PrerenderedLabel dtor: hits/misses/total:" \
            << HitCount << "/" << MissCount << "/" << total \
                     << "(" << 100 * hitQuote << "% hits)"; \
        }

Definition at line 16 of file KDChartTextLabelCache.cpp.

Referenced by PrerenderedLabel::~PrerenderedLabel().

#define INC_HIT_COUNT { ++HitCount; }

| Definition at line 14 of file KDChartTextLabelCache.cpp. Referenced by PrerenderedLabel::pixmap(), and PrerenderedLabel::referencePointLocation().

#define INC_MISS_COUNT { ++MissCount; }

| Definition at line 15 of file KDChartTextLabelCache.cpp. Referenced by PrerenderedLabel::pixmap(), and PrerenderedLabel::referencePointLocation().

## Variable Documentation

int HitCount = 0

| Definition at line 12 of file KDChartTextLabelCache.cpp.

int MissCount = 0

| Definition at line 13 of file KDChartTextLabelCache.cpp.